Callgrind Control
1
October, 2005

# callgrind_control

observe and control applications currently running under supervision of `callgrind`

        callgrind_control
        options
        pid/program-name

## Description

This manual page documents briefly the `callgrind_control` command. When not specifying a `pid/program name` argument, all applications run by callgrind on this system will be used for actions given by the specified option(s). The default action is to give short information for the applications run by callgrind.

## Options

This program follows the usual GNU command line syntax, with long options starting with two dashes ("--"). A summary of options is included below.

`-h, --help`

  Show summary of options.

`--version`

  Show version of callgrind_control.

`-s`

  Show statistics

`-b`

  Show stack trace

`-e [A,B,C] [default: all]`

  Only show figures for events A,B,C

`-z`

  Zero cost counters

`-d, --dump [hint]`

  Request the dumping of profile information. Optionally, a string can be specified which is written into the dump as part of the Trigger reason. This can be used to distinguish multiple dumps.

`-k`

  Kill

## See Also

`&cl-doc-path;`

## Author

This manual page was written by Josef Weidendorfer <&cl-email;>.